import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/shop/pay',
    component: AppLayout,
    children: [
      {
        path: '/shop/pay/:id',
        component: () => import('./views/Index.vue'),
        props: true,
        meta: { loginRequired: true }
      },
      {
        path: '/shop/order/:id',
        component: () => import('./views/Order.vue'),
        props: true,
        meta: { loginRequired: true }
      }
    ]
  }
]
